Bug 16035 - MARC framework Export misbehaving
Summary: MARC framework Export misbehaving
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17389 18111
  Show dependency treegraph
 
Reported: 2016-03-10 02:34 UTC by Aleisha Amohia
Modified: 2018-06-04 20:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
more than one file type selection (19.97 KB, image/png)
2016-03-10 02:34 UTC, Aleisha Amohia
Details
Bug 16035: MARC default bibliographic framework Export fix (1.38 KB, patch)
2016-08-24 21:29 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16035: MARC default bibliographic framework Export fix (1.93 KB, patch)
2016-08-26 02:07 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16035: MARC default bibliographic framework Export fix (2.03 KB, patch)
2016-08-30 15:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16035: MARC default bibliographic framework Export fix (2.03 KB, patch)
2016-09-02 18:29 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-10 02:34:21 UTC
Created attachment 48910 [details]
more than one file type selection

The MARC bibliographic framework Export is misbehaving for Default framework only
1) File will always export as an .ods file regardless of what file type you have selected
2) The first time that you click the Export button and choose a different file type other than CSV then click Cancel will be fine. Then, without refreshing the page, click Export for the same framework again and notice CSV radio selection is checked and stays checked when you select other file types. (See screenshot)
Comment 1 Aleisha Amohia 2016-08-24 21:11:37 UTC
Some of this has been fixed (the radio buttons work as expected now), but the default framework only ever exports as .ods file.
Comment 2 Aleisha Amohia 2016-08-24 21:29:32 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-08-25 14:36:38 UTC
After applying the patch the export is triggered in the correct format, but it's still mostly empty. The CSV file, for instance, only has header information.
Comment 4 Aleisha Amohia 2016-08-26 02:07:28 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2016-08-30 15:31:03 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2016-09-02 18:29:52 UTC
Created attachment 55142 [details] [review]
Bug 16035: MARC default bibliographic framework Export fix

This patch makes sure that, if there is no framework code,
     $frameworkcode is set to 'default'. This fixes the format issue.
     Then, if $frameworkcode = default, an empty string (rather than
     null) is passed to the ExportFramework method, as the framework
     code in the DB for default codes is "".

To test:
1) Go to Admin -> MARC Bibliographic framework
2) Try to export default framework in all formats, notice the file is
only exported as .ods and is an empty file. Notice warns in intranet
error log.
3) Apply patch and refresh page
4) Confirm exporting default framework works in all formats and
spreadsheet has data
5) Notice warns in error log are gone
6) Confirm export still works for other frameworks

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Kyle M Hall 2016-09-08 13:07:30 UTC
Pushed to master for 16.11, thanks Aleisha!
Comment 8 Jonathan Druart 2016-10-03 14:15:26 UTC
>    6) Confirm export still works for other frameworks

That did not work, see bug 17389 for a fix.
Comment 9 Frédéric Demians 2016-10-22 06:53:55 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 10 Julian Maurice 2016-10-24 09:05:41 UTC
Pushed to 3.22.x, will be in 3.22.12
Comment 11 Jonathan Druart 2017-02-14 16:24:11 UTC
Caused bug 18111.